{ system ? builtins.currentSystem }:

let
  pkgs = import <nixpkgs> { };
  callPackage = pkgs.lib.callPackageWith pkgs;
  gitea-release = callPackage ./default.nix { };

  dockerImage = pkg:
    pkgs.dockerTools.buildLayeredImage {
      name = "xena/gitea-release";
      tag = "${gitea-release.version}";

      contents = [ pkg ];

      config = {
        Cmd = [ "/bin/gitea-release" "drone" ];
        WorkingDir = "/";
      };
    };

in dockerImage gitea-release
